<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.common (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.common (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/cluster/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package com.here.android.mpa.common</h1>
<div class="docSummary">
<div class="block">This
        package includes classes, interfaces, and enumerations that are generally used by other
        packages in the Android SDK.</div>
</div>
<p>See: <a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/MapEngine.OnMapDownloadListener.html" title="interface in com.here.android.mpa.common">MapEngine.OnMapDownloadListener</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide notification upon the start and completion of a data
 download event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common">OffScreenRenderer</a></td>
<td class="colLast">
<div class="block">Base interface for an offscreen renderer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.SurfaceUpdatedListener.html" title="interface in com.here.android.mpa.common">OffScreenRenderer.SurfaceUpdatedListener</a></td>
<td class="colLast">
<div class="block">Listener interface to be notified when the surface has been re-drawn and comitted.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.html" title="interface in com.here.android.mpa.common">OnEngineInitListener</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide notification of the engine status upon completion of
 initialization.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a></td>
<td class="colLast">
<div class="block">Listener for Screen Capture asynchronous callback.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.IGeoShiftable.html" title="interface in com.here.android.mpa.common">PositioningManager.IGeoShiftable</a></td>
<td class="colLast">
<div class="block">Represents an interface for coordinates shifting module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.OnPositionChangedListener.html" title="interface in com.here.android.mpa.common">PositioningManager.OnPositionChangedListener</a></td>
<td class="colLast">
<div class="block">Represents an interface for position update listeners.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/ApplicationContext.html" title="class in com.here.android.mpa.common">ApplicationContext</a></td>
<td class="colLast">
<div class="block"><code>ApplicationContext</code> manages setting of custom application credentials and map variant.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/ConnectionInfo.html" title="class in com.here.android.mpa.common">ConnectionInfo</a></td>
<td class="colLast">
<div class="block">Encapsulates information related to network connections.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/CustomConfigurations.html" title="class in com.here.android.mpa.common">CustomConfigurations</a></td>
<td class="colLast">
<div class="block"><code>CustomConfigurations</code> manages setting of custom configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/DiskCacheUtility.html" title="class in com.here.android.mpa.common">DiskCacheUtility</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">Provided only to help with the transition of pre-v3.4 disk caches to the current
             version.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a></td>
<td class="colLast">
<div class="block">Represents a rectangular area in a geographic coordinate system.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></td>
<td class="colLast">
<div class="block">Represents a WGS84 coordinate with double precision.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/GeoPolygon.html" title="class in com.here.android.mpa.common">GeoPolygon</a></td>
<td class="colLast">
<div class="block">Represents a <code>GeoPolygon</code> a polygon object defined in terms of the geographic coordinates of its vertices.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a></td>
<td class="colLast">
<div class="block">Interface representing a <code>GeoPolyline</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/GeoPosition.html" title="class in com.here.android.mpa.common">GeoPosition</a></td>
<td class="colLast">
<div class="block">Represents position, speed, and heading information as provided by a
 positioning device.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Identifier.html" title="class in com.here.android.mpa.common">Identifier</a></td>
<td class="colLast">
<div class="block">Represents a 64-bit or 128-bit numeric identifier of an instance
 of  <code>ViewObject</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></td>
<td class="colLast">
<div class="block">Encapsulates an image file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSource.html" title="class in com.here.android.mpa.common">LocationDataSource</a></td>
<td class="colLast">
<div class="block">Abstract class that defines the interface for providing positions updates
 from a location data source (e.g.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSourceAutomotive.html" title="class in com.here.android.mpa.common">LocationDataSourceAutomotive</a></td>
<td class="colLast">
<div class="block">Abstract class that defines the interface for providing positions updates
 from an automotive location data source (e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSourceDevice.html" title="class in com.here.android.mpa.common">LocationDataSourceDevice</a></td>
<td class="colLast">
<div class="block">Abstract class that defines the interface for providing positions updates
 from a platform location data source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSourceHERE.html" title="class in com.here.android.mpa.common">LocationDataSourceHERE</a></td>
<td class="colLast">
<div class="block">Abstract class that defines the interface for providing positions updates
 from a HERE hybrid location data source.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common">MapEngine</a></td>
<td class="colLast">
<div class="block"><code>MapEngine</code> manages all mapping resources and services provided in this SDK.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/MapSettings.html" title="class in com.here.android.mpa.common">MapSettings</a></td>
<td class="colLast">
<div class="block">Allows clients to modify map settings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/MatchedGeoPosition.html" title="class in com.here.android.mpa.common">MatchedGeoPosition</a></td>
<td class="colLast">
<div class="block">An extended <code>GeoPosition</code> class which provides additional
 position-related information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.html" title="class in com.here.android.mpa.common">PositioningManager</a></td>
<td class="colLast">
<div class="block">Represents a manager for information received from positioning devices, such
 as updates to the current position and the average speed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositionSimulator.html" title="class in com.here.android.mpa.common">PositionSimulator</a></td>
<td class="colLast">
<div class="block">Provides a means to simulate the current device position by injecting Locations read from
 position log files into Android LocationManager.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/RoadElement.html" title="class in com.here.android.mpa.common">RoadElement</a></td>
<td class="colLast">
<div class="block">Represents a single segment of a road.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Size.html" title="class in com.here.android.mpa.common">Size</a></td>
<td class="colLast">
<div class="block">Represents size in pixels</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TimeInterval.html" title="class in com.here.android.mpa.common">TimeInterval</a></td>
<td class="colLast">
<div class="block">This is the definition of the TimeInterval class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.html" title="class in com.here.android.mpa.common">TrafficSign</a></td>
<td class="colLast">
<div class="block">Represents information about the traffic sign(road sign): such as type, category, location, etc.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Vector3f.html" title="class in com.here.android.mpa.common">Vector3f</a></td>
<td class="colLast">
<div class="block">Vector3f represents a 3D-Vector, capable to store x-,y- and z-coordinates in float values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Version.html" title="class in com.here.android.mpa.common">Version</a></td>
<td class="colLast">
<div class="block">Version information for the HERE SDK for Android.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a></td>
<td class="colLast">
<div class="block">Represents the base class implementation for all objects that are selectable from a view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></td>
<td class="colLast">
<div class="block">Represents a rectangle defined by the top-left corner's coordinate and the width and height of
 the rectangle.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a></td>
<td class="colLast">
<div class="block">Represents values that describe on-display view positions for the HERE copyright logo.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/CustomConfigurations.Config.html" title="enum in com.here.android.mpa.common">CustomConfigurations.Config</a></td>
<td class="colLast">
<div class="block">Argument keys for <a href="../../../../../com/here/android/mpa/common/CustomConfigurations.html#set-java.util.Hashtable-"><code>CustomConfigurations.set(Hashtable)</code></a>,</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/DiskCacheUtility.MigrationResult.html" title="enum in com.here.android.mpa.common">DiskCacheUtility.MigrationResult</a></td>
<td class="colLast"> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/IconCategory.html" title="enum in com.here.android.mpa.common">IconCategory</a></td>
<td class="colLast">
<div class="block">Represents all the possible categories for an icon.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/Image.Type.html" title="enum in com.here.android.mpa.common">Image.Type</a></td>
<td class="colLast">
<div class="block">This helps the application know the base type of the <code>Image</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSourceHERE.IndoorPositioningMode.html" title="enum in com.here.android.mpa.common">LocationDataSourceHERE.IndoorPositioningMode</a></td>
<td class="colLast">
<div class="block">Defines supported indoor positioning modes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/LocationDataSourceHERE.IndoorPositioningModeSetResult.html" title="enum in com.here.android.mpa.common">LocationDataSourceHERE.IndoorPositioningModeSetResult</a></td>
<td class="colLast">
<div class="block">Defines result codes for indoor positioning mode set call.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/MapEngine.MapVariant.html" title="enum in com.here.android.mpa.common">MapEngine.MapVariant</a></td>
<td class="colLast">
<div class="block">Represents supported map variants.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/OnEngineInitListener.Error.html" title="enum in com.here.android.mpa.common">OnEngineInitListener.Error</a></td>
<td class="colLast">
<div class="block">Represents values describing initialization errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationMethod.html" title="enum in com.here.android.mpa.common">PositioningManager.LocationMethod</a></td>
<td class="colLast">
<div class="block">Represents values describing the location method.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.LocationStatus.html" title="enum in com.here.android.mpa.common">PositioningManager.LocationStatus</a></td>
<td class="colLast">
<div class="block">Represents values describing the location status of a particular location
 method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositioningManager.LogType.html" title="enum in com.here.android.mpa.common">PositioningManager.LogType</a></td>
<td class="colLast">
<div class="block">Defines the available log types for GPX logging.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/PositionSimulator.PlaybackError.html" title="enum in com.here.android.mpa.common">PositionSimulator.PlaybackError</a></td>
<td class="colLast">
<div class="block">Playback Errors</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/RoadElement.Attribute.html" title="enum in com.here.android.mpa.common">RoadElement.Attribute</a></td>
<td class="colLast">
<div class="block">Defined values for different road attributes</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/RoadElement.FormOfWay.html" title="enum in com.here.android.mpa.common">RoadElement.FormOfWay</a></td>
<td class="colLast">
<div class="block">Form of Way Types</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/RoadElement.PluralType.html" title="enum in com.here.android.mpa.common">RoadElement.PluralType</a></td>
<td class="colLast">
<div class="block">Plural type identifies when a Junction is made up of multiple Road Elements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.Category.html" title="enum in com.here.android.mpa.common">TrafficSign.Category</a></td>
<td class="colLast">
<div class="block">Defined traffic sign categories</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.Direction.html" title="enum in com.here.android.mpa.common">TrafficSign.Direction</a></td>
<td class="colLast">
<div class="block">Defined traffic sign link directions</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.Location.html" title="enum in com.here.android.mpa.common">TrafficSign.Location</a></td>
<td class="colLast">
<div class="block">Defined traffic sign locations at an intersection</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.SubCategory.html" title="enum in com.here.android.mpa.common">TrafficSign.SubCategory</a></td>
<td class="colLast">
<div class="block">Defined traffic sign subcategories</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.TransportType.html" title="enum in com.here.android.mpa.common">TrafficSign.TransportType</a></td>
<td class="colLast">
<div class="block">Defined transport types that the sign is applicable for</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TrafficSign.WeatherAffects.html" title="enum in com.here.android.mpa.common">TrafficSign.WeatherAffects</a></td>
<td class="colLast">
<div class="block">Defined weather situations that affects the sign</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/TransitType.html" title="enum in com.here.android.mpa.common">TransitType</a></td>
<td class="colLast">
<div class="block">Represents values describing the types of transit that an application user might take.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/ViewObject.Type.html" title="enum in com.here.android.mpa.common">ViewObject.Type</a></td>
<td class="colLast">
<div class="block">Represents values describing various types of selectable view objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/DataNotReadyException.html" title="class in com.here.android.mpa.common">DataNotReadyException</a></td>
<td class="colLast">
<div class="block">Exception is thrown when map data is not yet loaded.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/common/UnintializedMapEngineException.html" title="class in com.here.android.mpa.common">UnintializedMapEngineException</a></td>
<td class="colLast">
<div class="block">UnintializedMapEngineException will be thrown if any object that require the <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a>
 to be initialized is used without the <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> been initialized.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package com.here.android.mpa.common Description">Package com.here.android.mpa.common Description</h2>
<div class="block">This
        package includes classes, interfaces, and enumerations that are generally used by other
        packages in the Android SDK.
        <p>
        However, the following classes are key classes that serves as the entry point to services provided by our SDK:
        </p><ul>
        <li><a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> - is the entry point for all services provided.  It must be initialized before using our services.</li>
        <li><a href="../../../../../com/here/android/mpa/common/PositioningManager.html" title="class in com.here.android.mpa.common"><code>PositioningManager</code></a> - is the entry point for our positioning service.</li>
        </ul>
        <p>
        For more information, please refer to our User Guide or the documentation provided by the individual classes above.</p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/cluster/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/common/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
